Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.analysis_engine.metadata
Interface FlowConstraints

All Superinterfaces:
  Cloneable, MetaDataObject, Serializable, XMLizable

All Known Subinterfaces:
  CapabilityLanguageFlow, FixedFlow

    public interface FlowConstraints

extends MetaDataObject

A `FlowConstraints` object represents constraints on the order of execution of delegate Analysis Engines within an aggregate Analysis Engine. In the most constrained case, this is a fixed flow.

This interface implements no methods for flow constraint specification. It serves as a common superclass for different ways of specifying flow constraints.

Flow constraints must refer to delegate AnalysisEngines; the `FlowConstraints` object refers to these AEs using String identifiers. The `FlowConstraints` object does not assign any particular meaning to these Strings - it is the user of the `FlowConstraints` object that must understand how to map them to the AnalysisEngines themselves. It may be desirable to remap these identifiers; FlowConstraints implementations must support this via the `remapIDs(Map)` method.

Method Summary
`String` | `getFlowConstraintsType()` Gets the type of this `FlowConstraints` object.
`void` | `remapIDs(Map aIDMap)` Remaps the AE identifier Strings used in this FlowConstraints object.

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getFlowConstraintsType

    String getFlowConstraintsType()

  Gets the type of this `FlowConstraints` object. Each sub-interface of `FlowConstraints` has its own standard type identifier String. These identifier Strings are used instead of Java class names in order to ease portability of metadata to other languages.

  Returns:
    the type identifier String for this `FlowConstraints` object

### remapIDs

    void remapIDs(Map aIDMap)

  Remaps the AE identifier Strings used in this FlowConstraints object. This method is destructive.

  Parameters:
    `aIDMap` - a Map with String keys (the AE identifiers currently used by this object) and String values (the new IDs). Any identifiers that do not appear in this Map will not be remapped.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.